Subject: bug#10034: 24.0.91; max-specpdl-size error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Nov 2011 10:12:29 +0200

> From: [email-masked]
> Cc: [email-masked], [email-masked]
> Date: Sat, 19 Nov 2011 00:32:05 -0500
> 
> 1. Is there any way to determine that the .elc file that I have
>    on-disk matches the preloaded .elc in the emacs.exe binary?

Why do you need to know?  In general, comparing the time stamps of the
.elc file with that of emacs.exe should be good enough.

>    Since I use the pre-built Emacs binary when on Windows, I presume
>    that the .elc files I have on-disk were the ones loaded in the binary

That's true.

> 2. What are the preloaded .elc files?  Are they the ones from loadup.el?

Yes.  But note that some of them are loaded based on conditions, so
not every `load' line in loadup.el is what ends up in emacs.exe.

>    Can one ask the Emacs instance to compare the .elc file on-disk with
>    the one that it was preloaded with to verify they are the same?

Once loaded, the .elc file is not kept as such in memory.  So you
cannot compare the file on disk with it.

> 3. Can you startup Emacs to either ignore its (non-necessary) preloaded
>    .elc files if the same file name (.el/.elc) resides on-disk or
>    tell it to only use the files (.el/.elc) in the `load-path'
>    and not what was preloaded?

No.